* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    text-decoration: none;
}

body {
    color: white;
    background-color: rgb(26, 25, 25);
    overflow: hidden;
    
}
section{
    font-size: 20px;
}

header {
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding-right: 2%;
}
section ,section p, section button{
    transition: all ease 1s;
    animation: aparecer ease 1s;
}

main {
    height: 90vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.pergunta {
    color: black;
 
    opacity: 1;
    gap: 5%;
    background: rgba(206, 206, 206, 0.788);
    border-radius: 16px;
    box-shadow: 1px 4px 30px rgba(252, 251, 251, 0.26);
    border: 1px solid rgba(255, 255, 255, 0.67);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 40vw;
    height: 60vh;
    animation: aparecer ease 2s, deslocar ease 1s;
}
form{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
    flex: none;
    padding: 5%;
}
form div{
    height: 20%;
    display: flex;
    flex-direction: column;
    width: 100%;
}
label{
    transition: all ease 1s;
    cursor: text;
  
}

.nome, .idade, .linguagem{
    position: relative;
}

.pergunta div {
    width: 70%;

}

.pergunta button {
    justify-self: flex-end;
}

input{

    padding: 1%;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: transparent;
    outline: none;
    border: none;
    border-bottom: solid 1px;
}
input:focus, input:valid{
    transition: all ease 1s;
    border-bottom: solid 1px rgb(6, 179, 247);
}

button{
    border: solid 1px;
    cursor: pointer;
    width: 30%;
}

.erro{
    position: absolute;
    color: white;
    background-color: rgba(0, 0, 0, 0.356);
    transition: all ease 0.5s;
    opacity: 1;
    animation:  aparecer ease 2s;
    width: 15vw;
    height: 8vh;
    bottom: 0;
    right: 0;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-end;
}
.erro p{
    width: 100%;
    height: 92%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.caixaDeload{
    width: 100%;
    height: 8%;
}
.caixaDeload div{
    width: 100%;
    transition: all ease 1s;
    animation: load ease 2s ;
    animation-delay: 0.4s;
    height: 100%;
    background-color: red;
}
@keyframes load {
    to{
        width: 0%;
    }
    
}
@keyframes aparecer{
    from{
       
        opacity: 0;
    }to{
      
        opacity: 1;
    }
}
@keyframes desaparecer{
    from{
       
        opacity: 1;
    }to{
      
        opacity: 0;
    }
}
@keyframes deslocar{
    from{
        transform: translateY(100%);
    }
}


/* CSS */
form button {
  background-color: transparent;
  border: 0 solid #E5E7EB;
  box-sizing: border-box;
  color: #000000;
  display: flex;
  font-family: ui-sans-serif,system-ui,-apple-system,system-ui,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
  font-size: 1rem;
  font-weight: 700;
  justify-content: center;
  line-height: 1.75rem;
  padding: .75rem 1.65rem;
  position: relative;
  text-align: center;
  text-decoration: none #000000 solid;
  text-decoration-thickness: auto;
  width: 50%;
  max-width: 460px;
  position: relative;
  cursor: pointer;
  transform: rotate(-2deg);
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

form button:focus {
  outline: 0;
}


form button:after {
  content: '';
  position: absolute;
  border: 1px solid #000000;
  bottom: 4px;
  left: 4px;
  width: calc(100% - 1px);
  height: calc(100% - 1px);
}

form button:hover:after {
  bottom: 2px;
  left: 2px;
}

@media (min-width: 768px) {
  form button {
    padding: .75rem 3rem;
    font-size: 1.25rem;
  }
}